%define upstream_name    Catalyst-Plugin-Session-Store-File
%define upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:	File storage backend for session data
License:	Artistic/GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Nagios/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Cache::Cache) >= 1.02
BuildRequires:	perl(Catalyst) >= 5
BuildRequires:	perl(Catalyst::Plugin::Session) >= 0.01
BuildRequires:	perl(Class::Accessor::Fast) >= 0.22
BuildRequires:	perl(Class::Data::Inheritable) >= 0.04

BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}

Provides:   perl-Catalyst-P-S-Store-File
Obsoletes:  perl-Catalyst-P-S-Store-File

%description
Catalyst::Plugin::Session::Store::File is an easy to use storage plugin for
Catalyst that uses an simple file to act as a shared memory interprocess cache.
It is based on Cache::FileCache.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Catalyst
%{_mandir}/*/*


%changelog
* Tue Dec 08 2009 Jérôme Quelin <jquelin@mandriva.org> 0.180.0-1mdv2010.1
+ Revision: 474666
- update to 0.18

* Mon Dec 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.160.0-1mdv2010.1
+ Revision: 474551
- spec cleanup

* Tue May 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdv2010.0
+ Revision: 372087
- update to new version 0.16

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.13-3mdv2009.0
+ Revision: 255566
- rebuild

* Tue Jan 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-1mdv2008.1
+ Revision: 156854
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Thierry Vignaud <tv@mandriva.org> 0.10-2mdv2008.1
+ Revision: 117274
- rebuild (missing on ia32)

* Mon Apr 30 2007 Olivier Thauvin <nanardon@mandriva.org> 0.10-1mdv2008.0
+ Revision: 19700
- 0.10


* Fri May 05 2006 Scott Karns <scottk@mandriva.org> 0.07-2mdk
- Updated BuildRequires
- Updated to comply with Mandriva perl packaging policies

* Tue Jan 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.07-1mdk
- 0.07

* Tue Dec 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.05-2mdk
- Add BuildRequires

* Fri Dec 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.05-1mdk
- Initial MDV RPM

